contact__bp_1 = 425px
contact__bp_2 = 700px


.contact

    bg_light_ink()


    &__content

        // flex container
        display flex
        flex-direction column
        flex-wrap nowrap
        justify-content flex-start
        align-items stretch


    &__image-wrapper

        margin-bottom 18px


    &__image

        width 100%


    &__button

        button()
        margin 0
        padding 0

        // color
        background-color ink
        color lighten(light_ink, 40%)

        // size
        height (1.618 * button__height)

        // animation
        transition standard_transition

        // flex container
        display flex
        flex-direction column
        justify-content center
        align-items center


        & + &

            margin-top 7px


        &:hover

            background-color transparentify(ink, 60%)
            color white


    @media (min-width: contact__bp_1)


        column_gap = 20px


        &__content

            // size
            page_manager__responsive_property(height, 190px, 220px)

            // flex container
            display flex
            flex-direction row
            flex-wrap nowrap
            justify-content space-between
            align-items stretch


        &__image-wrapper

            // flex item
            flex-basis 50%
            flex-grow 1
            flex-shrink 1

            // size
            height 100%

            // distance
            margin-right (0.5 * column_gap)

            // overflow
            overflow hidden

            // flex container
            display flex
            flex-direction column
            justify-content flex-start
            align-items center


        &__image

            height 100%
            width auto


        &__button-wrapper

            // flex item
            flex-basis 50%
            flex-grow 1
            flex-shrink 1

            // distance
            margin-left (0.5 * column_gap)

            // flex container
            display flex
            flex-direction column
            flex-wrap nowrap
            justify-content space-between
            align-items stretch


        &__button

            // flex item
            flex-basis auto
            flex-grow 1
            flex-shrink 0


            & + &

                margin-top 7px


    @media (min-width: contact__bp_2)


        &__image-wrapper

            // flex item
            flex-basis auto
            flex-grow 1
            flex-shrink 1


        &__button-wrapper

            // flex item
            flex-basis 61.8%
            flex-grow 0
            flex-shrink 0
